mobilebackup2_client_free
mobilebackup2_client_new
mobilebackup2_client_start_service
mobilebackup2_client_t
mobilebackup2_error_t
mobilebackup2_receive_message
mobilebackup2_receive_raw
mobilebackup2_send_message
mobilebackup2_send_raw
mobilebackup2_send_request
mobilebackup2_send_status_response
MOBILEBACKUP2_SERVICE_NAME
mobilebackup2_version_exchange

## mobilebackup2_send_raw()

LIBIMOBILEDEVICE_API mobilebackup2_error_t mobilebackup2_send_raw | ( | mobilebackup2_client_t | client,
|  | const char * | data,
|  | uint32_t | length,
|  | uint32_t * | bytes )

Send binary data to the device.

Note
  This function returns MOBILEBACKUP2_E_SUCCESS even if less than the requested length has been sent. The fourth parameter is required and must be checked to ensure if the whole data has been sent.

Parameters

  client | The MobileBackup client to send to.
  data | Pointer to the data to send
  length | Number of bytes to send
  bytes | Number of bytes actually sent

Returns
  MOBILEBACKUP2_E_SUCCESS if any data was successfully sent, MOBILEBACKUP2_E_INVALID_ARG if one of the parameters is invalid, or MOBILEBACKUP2_E_MUX_ERROR if sending of the data failed.